<template>
  <li class="catalog__item">
    <router-link :to="{ name: 'item', params: {id: itemData.id} }" class="catalog__pic">
      <img :src="itemData.image" alt="Название товара">
    </router-link>

    <h3 class="catalog__title">
      <router-link :to="{name: 'item', params: {id: itemData.id}}">
        {{ itemData.name }}
      </router-link>
    </h3>

    <span class="catalog__price">{{ itemData.price | beautifyNumber }} ₽</span>

    <color-choices :color.sync="color" :colors="itemData.colors" class="colors--black"/>
  </li>
</template>

<script>
import ColorChoices from '@/components/helpers/ColorChoices.vue';
import changePage from '@/helpers/changePage';
import beautifyNumber from '@/helpers/beautifyNumber';

export default {
  name: 'Item',
  components: { ColorChoices },
  props: ['itemData'],
  data() {
    return {
      color: this.itemData.colors[0],
    };
  },
  methods: {
    changePage,
  },
  filters: {
    beautifyNumber,
  },
};
</script>
